export interface CountStatus {
  id?: number
  code?: number
  count?: number
  remark?: string
  children?: CountStatus[]
}
export interface AccountStatementNoteSearchForm {
  user_mark?: string
  status?: number | string | null
  dateRange?: string[]
  bill_number?: string
  rec_number?: string
  factory_status?: string
  erp_status?: string
  start_time?: string
  end_time?: string
}
export interface AccountStatementNote {
  create_time?: string
  pass_num?: number
  factory_code?: string
  num?: number
  end_time?: string
  rec_number?: string
  not_pass_num?: number
  factory_id?: number
  start_time?: string
  carriage_total_amount?: number
  factory_status?: number
  factory_total_amount?: number
  user_mark?: string
  erp_status?: number
  id?: number
  erp_total_amount?: number
  dataVersion: ''
}
export interface BillOrderDetailData {
  create_time?: string
  pass_num: number
  factory_code?: string
  num?: number
  end_time?: string
  rec_number?: string
  not_pass_num?: number
  factory_id?: number
  start_time?: string
  carriage_total_amount?: number
  factory_status?: number
  factory_total_amount: number
  user_mark?: string
  logList?: LogList[]
  erp_status?: number
  itemList?: ItemList[]
  id: number
  erp_total_amount?: number
}

export interface LogList {
  create_time?: string
  employee_id?: number
  info_id?: number
  description?: string
  id: string
  employee_account?: string
}

export interface ItemList {
  carriage_amount?: number
  pass_num?: number
  num?: number
  factory_price?: number
  shipment_id?: string
  not_pass_num?: number
  erp_order_number?: string
  shipment_time?: string
  bill_number?: string
  erp_price?: number
  info_id?: number
  id: number
  factory_order_number?: string
}
