import { get } from 'lodash-es'

// eslint-disable-next-line @typescript-eslint/no-explicit-any
export function val<T>(data: T, key: string | ((data: T) => any)) {
  if (typeof key === 'function') return key(data)
  return get(data, key)
}
