import { createApp } from 'vue'
import App from './App.vue'

import router from './router'
import store from './store'
import './styles/index.scss'
import vueDomPurifyHTMLPlugin from 'vue-dompurify-html'

createApp(App).use(vueDomPurifyHTMLPlugin).use(router).use(store).mount('#app')
