export interface MenuItem {
  index: string,
  id: number,
  label: string,
  children?: MenuItem[],
}

const menu: MenuItem[] = [
  {
    index: '/dashboard',
    id: 1,
    label: '概览',
  },
  {
    index: '/order/list',
    id: 2,
    label: '订单',
  },{
    index: '/account/statement-note',
    id: 3,
    label: '对账单',
  },{
    index: '/system/delivery-note',
    id: 4,
    label: '发货单',
  },
  {
    index: '/typesetting-management/list',
    id: 5,
    label:'打版管理'
  },
  {
    index: '',
    id: 6,
    label: '系统设置',
    children: [
      {
        index: '/system/user',
        id: 4,
        label: '用户管理',
      },

    ]
  },
  // {
  //   index: '',
  //   id: 3,
  //   label: '生产管理',
  //   children: [
  //     {
  //       index: '/production/complete',
  //       id: 4,
  //       label: '生产完成',
  //     }
  //   ]
  // },
]

export default menu
